Home//Help Center
Help Center
Introduction
Changelog (2.15)
Intercom API
Admins
AI Content
Articles
Away Status Reasons
Brands
Companies
Contacts
Conversations
Custom Object Instances
Data Attributes
Data Events
Data Export
Emails
Fin Agent
Internal Articles
IP Allowlist
Jobs
Messages
News
Notes
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
Workflows
Models
Calls
You can fetch a list of all collections by making a GET request to https://api.intercom.io/help_center/collections.
Collections will be returned in descending order on the updated_at attribute. This means if you need to iterate through results then we'll show the most recently updated collections first.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.15"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.15
- The production API serverhttps://api.intercom.io/help_center/collections
- The european API serverhttps://api.eu.intercom.io/help_center/collections
- The australian API serverhttps://api.au.intercom.io/help_center/collections
curl -i -X GET \
https://api.intercom.io/help_center/collections \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.15'Successful
pagesobject or null(Cursor based pages)
Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.
dataArray of objects(Collection)
An array of collection objects
Response
{ "type": "list", "data": [ { … }, { … } ], "total_count": 2, "pages": { "type": "pages", "page": 1, "per_page": 20, "total_pages": 1 } }